<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      autoReload="true"
      throwConfigExceptions="true">

  <targets>
    <target xsi:type="File"
            name="logfile"
            fileName="${basedir}/logs/nc_program_manager.log"
            archiveFileName="${basedir}/logs/nc_program_manager.{#}.log"
            archiveEvery="Day"
            archiveNumbering="Date"
            maxArchiveFiles="7"
            layout="${longdate} ${level:uppercase=true:padding=5} [${logger:shortName=true}] ${message}${onexception:${newline}${exception:format=tostring}}" />

    <target xsi:type="Console"
            name="console"
            layout="${message}" />
  </targets>

  <rules>
    <logger name="*" minlevel="Debug" writeTo="logfile" />
    <logger name="*" levels="Info"    writeTo="console" />
  </rules>

</nlog>
